SQLITE3_DECLARE_VTAB(3)

NAME
sqlite3_declare_vtab - declare the schema of a virtual table

SYNOPSIS
#include <sqlite3.h>
int
sqlite3_declare_vtab(sqlite3*, const char *zSQL);

DESCRIPTION
The xCreate and xConnect methods of a virtual table module call this interface to declare the format (the names and datatypes of the columns) of the virtual tables they implement.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 7640.

    SQLITE_API int sqlite3_declare_vtab(sqlite3*, const char *zSQL);

SEE ALSO
sqlite3_module(3)